Autor Tópico: Problemas com o 4kvideodownloader  (Lida 963 vezes)

Offline Donald

  • Usuário Ubuntu
  • *
  • Mensagens: 33
    • Ver perfil
Problemas com o 4kvideodownloader
« Online: 16 de Dezembro de 2019, 23:12 »
Olá amigos...

Depois de anos sem visitar o fórum (pensei que tinha acabado, mas ainda em que não), preciso de uma mãozinha especializada no assunto linux. Meu caso é que tentei instalar o programa "4kvideodownloader" e essa última versão até instala,  mas não roda.

Quando eu clico no link, ele até fica com o link piscando, como se o programa estivesse sendo carregado. Mas na sequência ele desaparece e o software não carrega.

Tentei chamar o programa pelo terminal e também não funciona. Quando chamo outro programa, como o freecad, funciona. O freecad roda tranquilo, mas o "4kvideodownloader" não roda mesmo.

Ao invés disso, aparece o código abaixo. Parece que está faltando alguns pacotes. Tentei instalar, mas não sei se fui eu que não consegui ou se o pacote é um pouco mais complexo.

Seja como for, minha situação é essa. Alguém têm alguma ideia? Um abraço e Feliz Natal a todos.  :)

abner@abner-Inspiron-3442:~$ 4kvideodownloader
/usr/lib/4kvideodownloader/4kvideodownloader-bin: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.25' not found (required by /usr/lib/4kvideodownloader/libQt5Core.so.5)
/usr/lib/4kvideodownloader/4kvideodownloader-bin: /lib/x86_64-linux-gnu/libm.so.6: version `GLIBC_2.27' not found (required by /usr/lib/4kvideodownloader/libavcodec.so.58)
/usr/lib/4kvideodownloader/4kvideodownloader-bin: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.27' not found (required by /usr/lib/4kvideodownloader/libavformat.so.58)
/usr/lib/4kvideodownloader/4kvideodownloader-bin: /lib/x86_64-linux-gnu/libm.so.6: version `GLIBC_2.27' not found (required by /usr/lib/4kvideodownloader/libmp3lame.so.0)
abner@abner-Inspiron-3442:~$



Offline nomade

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 1.170
  • O negócio não tem alma
    • Ver perfil
Re:Problemas com o 4kvideodownloader
« Resposta #1 Online: 18 de Dezembro de 2019, 13:03 »
Amigo, boa tarde

qual versão do Ubuntu você está usando? Se for acima da 18.04 não vai funcionar.

Se estiver usando o Ubuntu 19.10 a versão do libc6 é 2.30
Se estiver usando o Ubuntu 19.04 a versão do libc6 é 2.29

Só o Ubuntu 18.04 tem versão 2.27 do libc6

o problema é o seguinte, esse software está precisando de uma biblioteca numa versão que está abaixo da que o sistema usa, ou incrivelmente o libc6 que é usado por um monte de outras aplicações não está instalado...

tente instalar o libc6

Código: [Selecionar]
sudo apt install libc6
Se continuar não funcionando, ou ele te mostrar que já está instalado, veja qual a versão está instalada nessa resposta. Se for acima do 2.27 não vai funcionar.
Só no Ubuntu 18.04 LTS

É provável que esse software tenha sido descontinuado, ou ele só lança atualização de libs para as versões LTS do Ubuntu.
Rodando Ubuntu Studio 19.10 com: AMD Ryzen 5 2600 3.4GHz/ Gigabyte A320M-S2H/ 8GB 2400MHz DDR4/ Radeon R7 260X 2GB GDDR5

Offline Donald

  • Usuário Ubuntu
  • *
  • Mensagens: 33
    • Ver perfil
Re:Problemas com o 4kvideodownloader
« Resposta #2 Online: 18 de Dezembro de 2019, 19:46 »
Opa, valeu "Nomade".

Tentei a sua dica mas não funcionou não.

Mas não tem problema, eu vou procurar outro software por enquanto. Quanto a versão do Ubuntu, na verdade eu ainda estou na 16.04.

Sabe como é né... rsrsrs.. o sistema ainda está rodando, o computador está uma bagunça... tem que fazer backup de arquivo e a gente vai empurrando com a barriga.

Agora vou esperar até Abril do ano que vêm e tentar instalar a 20.04 LTS.

Por incrível que pareça, em todo esse tempo só deu encrenca com esse softaware aí. O resto tem funcionado direitinho.

Mas valeu pela ajuda. Feliz Natal para você. Abraço

Offline nomade

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 1.170
  • O negócio não tem alma
    • Ver perfil
Re:Problemas com o 4kvideodownloader
« Resposta #3 Online: 19 de Dezembro de 2019, 19:35 »
Opa, valeu "Nomade".

Tentei a sua dica mas não funcionou não.

Mas não tem problema, eu vou procurar outro software por enquanto. Quanto a versão do Ubuntu, na verdade eu ainda estou na 16.04.

Sabe como é né... rsrsrs.. o sistema ainda está rodando, o computador está uma bagunça... tem que fazer backup de arquivo e a gente vai empurrando com a barriga.

Agora vou esperar até Abril do ano que vêm e tentar instalar a 20.04 LTS.

Por incrível que pareça, em todo esse tempo só deu encrenca com esse softaware aí. O resto tem funcionado direitinho.

Mas valeu pela ajuda. Feliz Natal para você. Abraço

Nossa, então deve ser o contrario o problema. Sua versão do libc6 deve estar atrasada em relação a que o software pede.

Enfim... pra atualizar sem perder seus dados no HD é bem simpĺes. É só preservar sua home. Instalar o sistema por cima escolhendo não formatar o HD nas opções avançadas de instalação pelo LiveDVD.

Entre com um liveDVD, abra o nautilus, abra o HD em que esta sua home.

Abra o nautilus como super usuário agora:
Código: [Selecionar]
sudo nautilus
Navegue até sua home no HD, dê um ctrls+h para ver arquivos ocultos. Apague todos os arquivos e diretórios que tiverem um ponto (.) na frente (*neles estão contidas configurações de aplicativos. Se quiser manter alguma coisa dessas configurações, é só não apagar, mas algumas como configurações do ambiente de trabalho e etc podem causar erro na nova instalação).

Agora entre na parte do HD onde fica a raiz do sistema e apague tudo, menos o diretório home.

Pronto, agora é só seguir a instalação escolhendo nas opções avançadas onde deve ficar a raiz e se tiver home em partição separada, indique direitinho onde fica sem escolher formatar partição.

Não escolhendo formatar a partição da home, não vai perder nada. Após a instalação do sistema tudo estará lá em seus devidos lugares.

Deve ter uns tutoriais mais pormenorizados com imagens, ou até vídeos no youtube mostrando esse procedimento.

Não precisa fazer backup não... é bem seguro. Eu uso esse procedimento a uns 10 anos para atualizar o Ubuntu, nunca tive problemas...

« Última modificação: 23 de Dezembro de 2019, 10:05 por nomade »
Rodando Ubuntu Studio 19.10 com: AMD Ryzen 5 2600 3.4GHz/ Gigabyte A320M-S2H/ 8GB 2400MHz DDR4/ Radeon R7 260X 2GB GDDR5

Offline Donald

  • Usuário Ubuntu
  • *
  • Mensagens: 33
    • Ver perfil
Re:Problemas com o 4kvideodownloader
« Resposta #4 Online: 21 de Dezembro de 2019, 23:55 »
Beleza, vou tentar atualizar nessa semana de fim de ano. Depois que postei aqui, comecei a pensar em atualizar agora no fim de ano e com suas dicas, vou tentar mesmo.

Valeu pelo apoio.

Abraço